%define subver v473
# ns-install
%define vregver 4.73.0.20000502
%define url ftp://ftp.netscape.com/pub/communicator/english/4.73/unix/unsupported/dec_unix40/

Summary:		Netscape tools, including a Web browser, news reader and e-mail client 
Name: 			netscape-alpha
Version:		4.73
Release:		1mdk
Copyright:		Commercial
Group:			Networking/WWW

Source0:        %{url}/complete_install/communicator-%{subver}-us.alpha-dec-osf4.0.tar.bz2
Source1:		%{url}/navigator_standalone/navigator-%{subver}-us.alpha-dec-osf4.0.tar.bz2
Source4:		netscape-com.sh
Source7:		Netscape-keys.diff.bz2

Source8:		navigator.menu
Source9:		communicator.menu
Source14:		netscape-icons.tar.bz2

Source15:		netscape-preferences.js

Buildroot:		%{_tmppath}/%{name}-%{version}-root
Exclusivearch:	alpha
BuildRequires: compat-Tru64

%description
Netscape Navigator/Communicator is the industry-leading Web browser.
It supports the latest HTML standards, Java, JavaScript and some
style sheets. It also includes a full-featured Usenet news reader
as well as a complete e-mail client.

%package -n netscape-common
Requires:	indexhtml, perl, mozilla-fonts >= 20000310-3mdk, compat-Tru64
Obsoletes:	nls
Summary:	Files shared by the Netscape Navigator and Communicator
Group:		Networking/WWW

%description -n netscape-common
This package contains the files that are shared between the
Netscape Navigator Web browser and the Netscape Communicator
suite of tools (the Navigator Web browser, an e-mail client,
a news reader and Web page editor).

Install the netscape-common package if you're installing the
netscape-navigator or the netscape-communicator program.


%package -n netscape-communicator
Requires:	netscape-common = %{version}-%{release}
Provides:	webclient, netscape4, netscape
Conflicts:	netscape-navigator = %{version}-%{release}, netscape-128-communicator, netcape-128-navigator, netscape-128-common
Summary:	Netscape tools, including a Web browser, news reader and e-mail client
Group:		Networking/WWW

%description -n netscape-communicator
Netscape Communicator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.
It also includes a full-featured Usenet news reader as well as a
complete e-mail client.

Information on the Netscape Communicator license may be fund in
the file /usr/doc/netscape-common-%{version}/LICENSE.

%package -n netscape-navigator
Requires:	netscape-common = %{version}-%{release}
Provides:	webclient, netscape4, netscape
Conflicts:	netscape-communicator = %{version}-%{release}, netscape-128-communicator, netcape-128-navigator, netscape-128-common
Summary:	The Netscape Navigator Web browser
Group:		Networking/WWW

%description -n netscape-navigator
Netscape Navigator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.

Information on the Netscape Navigator license may be found in the file
/usr/doc/netscape-common-%{version}/LICENSE.

This will install the basic Netscape Navigator Web browser.
If you want additional features, such as the Usenet news reader and
HTML editor, you should install the netscape-communicator package.

%prep

%setup -c -b 1
mv communic*/* .
rmdir communicator*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/usr/lib/netscape/plugins \
	$RPM_BUILD_ROOT/usr/lib/netscape/java/classes

for I in *.nif; do
	tar -C $RPM_BUILD_ROOT/usr/lib/netscape -xzvf $I
done
mv $RPM_BUILD_ROOT/usr/lib/netscape/netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-communicator
cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/java/classes
echo 'Communicator,%{vregver},/usr/lib/netscape' > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/registry /tmp/infile
rm -f /tmp/infile

# get the netscape-navigator binary now
tar xvyf %{SOURCE1} '*/netscape-%{subver}.nif'
tar xvzf navigator*/netscape-%{subver}.nif netscape

install -m 755 netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-navigator

install -m 755 $RPM_SOURCE_DIR/netscape-com.sh $RPM_BUILD_ROOT/usr/bin/netscape

# put this stuff into the doc directory
mv -f $RPM_BUILD_ROOT/usr/lib/netscape/{LICENSE,README,Netscape.ad} .

ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-navigator
ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-communicator

rm -f `find $RPM_BUILD_ROOT -path "*dynMotif*"`

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -m 444 Netscape.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Netscape

(
    cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
    bzcat %{SOURCE7}|patch
)

install -m 644 %{SOURCE15} $RPM_BUILD_ROOT/usr/lib/netscape/preferences.js

## Menu
install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE8} $RPM_BUILD_ROOT/usr/lib/menu/$(basename %{SOURCE8}|sed 's|\.menu$||')
install -m644 %{SOURCE9} $RPM_BUILD_ROOT/usr/lib/menu/$(basename %{SOURCE9}|sed 's|\.menu$||')

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
cd $RPM_BUILD_ROOT/usr/share/icons
tar yxvf %{SOURCE14}

# Make rpmlint happy
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/java/classes/hpux/*
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/plugins/libnullplugin.so
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/plugins/cpPack1.jar
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/netscape-communicator

%post -n netscape-communicator
## menu
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun -n netscape-communicator
## menu
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		usr/bin/update-menus
	fi
fi

%post -n netscape-navigator
## menu
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%postun -n netscape-navigator
## menu
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
	        usr/bin/update-menus
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -n netscape-common
%defattr(-,root,root,-)
/usr/bin/netscape
%dir /usr/lib/netscape
%docdir /usr/lib/netscape/nethelp
%doc README LICENSE Netscape.ad
/usr/lib/netscape/bookmark.htm
/usr/lib/netscape/java

# rpmlint is not happy (setgid-binary) but we want this
%attr(2755,root,mail) /usr/lib/netscape/movemail

/usr/lib/netscape/movemail-src
/usr/lib/netscape/nethelp
/usr/lib/netscape/registry
/usr/lib/netscape/spell
/usr/lib/netscape/vreg
# rpmlint says unstripped-binary-or-object. It's right but if Netscape don't
# strip, we don't strip
# rplint is not happy (shared-lib-without-dependency-information) but we can't
# do nothing
/usr/lib/netscape/plugins

/usr/lib/netscape/preferences.js
/usr/share/icons/mini/*xpm
/usr/share/icons/*xpm
# rpmlint is not happy (file-in-usr-marked-as-conffile,
# app-defaults-must-not-be-conffile) but it's wrong
%config /usr/X11R6/lib/X11/app-defaults/Netscape

###################
%files -n netscape-navigator
%defattr(-,root,root)
#%config(missingok) /etc/X11/applnk/Internet/netscape-navigator.desktop
/usr/bin/netscape-navigator
/usr/lib/netscape/netscape-navigator
/usr/lib/menu/navigator*

###################
%files -n netscape-communicator
%defattr(-,root,root)
#%config(missingok) /etc/X11/applnk/Internet/netscape-communicator.desktop
/usr/bin/netscape-communicator
/usr/lib/netscape/netscape-communicator
/usr/lib/menu/communicator*

%post -n netscape-common
if [ -x /usr/sbin/chkfontpath ]; then
   if [ -d /usr/X11R6/lib/X11/fonts/75dpi ]; then
      /usr/sbin/chkfontpath --list | grep /usr/X11R6/lib/X11/fonts/75dpi | \
      grep -q -v unscaled || /usr/sbin/chkfontpath -q --add /usr/X11R6/lib/X11/fonts/75dpi
   fi
fi

%changelog
* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.73-1mdk
- First version based on the x86 netscape rpm.

